VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDevicePCIBusInfoPropertiesEXT const & () const
| operator VkPhysicalDevicePCIBusInfoPropertiesEXT & ()
bool | operator== (PhysicalDevicePCIBusInfoPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDevicePCIBusInfoPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint16_t | pciDomain
uint8_t | pciBus
uint8_t | pciDevice
uint8_t | pciFunction

## Private Attributes

StructureType | sType = StructureType::ePhysicalDevicePciBusInfoPropertiesEXT

## Detailed Description

Definition at line 18386 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDevicePCIBusInfoPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::operator VkPhysicalDevicePCIBusInfoPropertiesEXT & | ( |  | ) |

inline

Definition at line 18393 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDevicePCIBusInfoPropertiesEXT*>(this);
}

## operator VkPhysicalDevicePCIBusInfoPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::operator VkPhysicalDevicePCIBusInfoPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 18388 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDevicePCIBusInfoPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::operator!= | ( | PhysicalDevicePCIBusInfoPropertiesEXT const & | rhs | ) | const

inline

Definition at line 18408 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::operator== | ( | PhysicalDevicePCIBusInfoPropertiesEXT const & | rhs | ) | const

inline

Definition at line 18398 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( pciDomain == rhs.pciDomain )
&& ( pciBus == rhs.pciBus )
&& ( pciDevice == rhs.pciDevice )
&& ( pciFunction == rhs.pciFunction );
}

References pciBus, pciDevice, pciDomain, pciFunction, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## pciBus

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciBus

Definition at line 18419 of file vulkan.hpp.

Referenced by operator==().

## pciDevice

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciDevice

Definition at line 18420 of file vulkan.hpp.

Referenced by operator==().

## pciDomain

uint16_t VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciDomain

Definition at line 18418 of file vulkan.hpp.

Referenced by operator==().

## pciFunction

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciFunction

Definition at line 18421 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pNext = nullptr

Definition at line 18417 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::sType = StructureType::ePhysicalDevicePciBusInfoPropertiesEXT

private

Definition at line 18414 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkPhysicalDevicePCIBusInfoPropertiesEXT
Definition: vulkan_core.h:8798
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:18417
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::operator==
bool operator==(PhysicalDevicePCIBusInfoPropertiesEXT const &rhs) const
Definition: vulkan.hpp:18398
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciFunction
uint8_t pciFunction
Definition: vulkan.hpp:18421
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciDevice
uint8_t pciDevice
Definition: vulkan.hpp:18420
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciBus
uint8_t pciBus
Definition: vulkan.hpp:18419
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:18414
VULKAN_HPP_NAMESPACE::PhysicalDevicePCIBusInfoPropertiesEXT::pciDomain
uint16_t pciDomain
Definition: vulkan.hpp:18418